//---------------------------------------------------------------------------
#ifndef RoughenH
#define RoughenH
//---------------------------------------------------------------------------
#include "TransformIntf.h"
//---------------------------------------------------------------------------
class TRoughenTransform : public ITransform
{
public:
  // constructors
  TRoughenTransform();
  static TRoughenTransform* Create();

  // implementation of ITransform interface
  virtual void __stdcall Release();
  virtual int __stdcall GetBitmapResId() const;
  virtual bool __stdcall ShowOptions(HWND parent);
  virtual bool __stdcall Apply(ITerrain* terrain, ISelection* sel);

private:
  // private destructor to ensure object is on the heap
  ~TRoughenTransform();
};
//---------------------------------------------------------------------------
#endif

